Macro Constraint Draft

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Macro Constraint Draft and the translation is 100% complete.
Other languages:
English • ‎français • ‎italiano

Macro Constraint Draft.png Constraint Draft

Descrizione
Crea una simulazione utilizando le espressioni per legare gli oggetti (Questa macro funziona con FreeCAD versione 16).

Versione macro: 1.0
Ultima modifica: 2017-04-19
Versione FreeCAD: 0.16
Download: Il file esempio Constraint_Draft00.FCStd
Icona
Autore
Mario52
Download
Il file esempio Constraint_Draft00.FCStd
Icona
Link
Versione macro
1.0
Data ultima modifica
2017-04-19
Versioni di FreeCAD
0.16
Scorciatoia
Nessuna
Vedere anche
Nessuno


Descrizione

Semplice esempio di animazione dentro l'ambiente Draft utilizzando le espressioni per associare vari contorni e simulare o verificare la cinematica del complessivo.

Constraint Draft00.gif

Animazione utilizzando il vincolo espressioni


Utilizzo

Caricare il file di esempio Constraint_Draft00.FCStd, e aprirlo con FreeCAD

Codice

Selezionare la Line005_with_Code dentro la Vista combinata Seleziona Dati tab → Memo code → Code for rotation → ... (Questa macro funziona con FreeCAD versione 16 )

Selezionare il codice completo e copiarlo dentro la console Python

Se la console Python non è visibile fare : Menu → Visualizza → Pannelli → attiva Console Python

Un piccolo video di come copiare il codice

Come copiare il codice

ToolBar Icon Macro Constraint Draft.png

Macro_Constraint_Draft.FCMacro

# Copy and pate this snippet in the FreeCAD console Python 
# mario52 19/04/2017

import FreeCADGui
import FreeCAD

#FreeCAD.Console.PrintMessage(str(FreeCAD.Version()) + "\n")
if int(FreeCAD.Version()[1]) == 16:    # Version de FreeCAD
    try:
        for i in range(0,360,5):
            App.getDocument("Constraint_Draft00").Circle.Placement=App.Placement(App.Vector(0,0,0), App.Rotation(i,0,0), App.Vector(0,0,0))
            FreeCADGui.updateGui()
            FreeCAD.ActiveDocument.recompute()
    except Exception:
        FreeCAD.Console.PrintMessage("You must download the Constraint_Draft00.FCStd file for run this macro" + "\n")
        import webbrowser 
        webbrowser.open("http://forum.freecadweb.org/download/file.php?id=36559")

else:
    FreeCAD.Console.PrintError("This macro run with the FreeCAD.Version 16 " + "\n")


Rotazione con gli strumenti di FreeCAD

Ruotare con gli strumenti FreeCAD

Link

Il forum Sketch Feature to create linkage mechanism simulator